<?php

use App\Services\Chapter1Service;
use Livewire\Component;

return new class extends Component
{
    public $levels;
    public $school;
    public $cutting;
    protected $srvs;

    public function boot(Chapter1Service $srvs) {
        $this->srvs = $srvs;
    }

    public function cmptClass($id) {
        return $this->srvs->cpteClass($id, $this->school, $this->cutting);
    }

    public function cmptEffts($id) {
        return $this->srvs->eftfLevel($id, $this->school, $this->cutting);
    }

    public function clclPourctage($id) {
        return $this->srvs->dataStds($id, $this->school, $this->cutting);
    }

    public function mount() {
        $this->levels = $this->srvs->getLevel($this->school, 3);
    }

    protected function view($data = [])
    {
        return app('view')->file('C:\Users\EDUCAS\Desktop\App\V4_001\storage\framework/views/livewire/views/e9d2f5c2.blade.php', $data);
    }
};
